org.jboss.resteasy.core.interception

## Class LegacyPrecedence

- java.lang.Object
- - org.jboss.resteasy.core.interception.LegacyPrecedence

-     public class LegacyPrecedence
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<String>` | `precedenceList`
    `protected Map<String,Integer>` | `precedenceOrder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LegacyPrecedence()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPrecedence(String precedent, int order)`
    `void` | `appendPrecedence(String precedence)`
    `int` | `calculateOrder(Class<?> clazz)`
    `LegacyPrecedence` | `clone()`
    `void` | `insertPrecedenceAfter(String after, String newPrecedence)`
    `void` | `insertPrecedenceBefore(String after, String newPrecedence)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### precedenceOrder

          protected Map<String,Integer> precedenceOrder

    - #### precedenceList

          protected List<String> precedenceList

  - ### Constructor Detail

    - #### LegacyPrecedence

          public LegacyPrecedence()

  - ### Method Detail

    - #### clone

          public LegacyPrecedence clone()

      Overrides:
        `clone` in class `Object`

    - #### calculateOrder

          public int calculateOrder(Class<?> clazz)

    - #### addPrecedence

          public void addPrecedence(String precedent,
                           int order)

    - #### appendPrecedence

          public void appendPrecedence(String precedence)

    - #### insertPrecedenceAfter

          public void insertPrecedenceAfter(String after,
                                   String newPrecedence)

    - #### insertPrecedenceBefore

          public void insertPrecedenceBefore(String after,
                                    String newPrecedence)

Copyright © 2014. All Rights Reserved.